"use strict";
cc._RF.push(module, '280c3rsZJJKnZ9RqbALVwtK', 'HelloWorld');
// Script/HelloWorld.js

"use strict";

cc.Class({
  "extends": cc.Component,
  properties: {
    scrollView_rank: cc.ScrollView,
    scrollViewContent_rank: cc.Node,
    pRankItem: cc.Prefab
  },
  // use this for initialization
  onLoad: function onLoad() {
    var self = this;

    for (var i = 0; i < 15; i++) {
      var pfRank = cc.instantiate(self.pRankItem);
      self.scrollViewContent_rank.addChild(pfRank);
      var nick = cc.find("lbl_nick", pfRank);
      nick.getComponent("cc.Label").string = "xxxxxxxxxxx";
      var img_head = cc.find("img_head", pfRank);
      var imgHeadSp = img_head.getComponent(cc.Sprite);
      var index = Math.ceil(Math.random() * 10000) % 2; // if (index == 0)
      // {
      //     this.loadNetTexture(url1, imgHeadSp);
      // }else
      // {
      //     this.loadNetTexture(url2, imgHeadSp);
      // }
    }
  },

  /**
  * 请求网络图片
  * @param node 
  * @param textureUrl
  */
  loadNetTexture: function loadNetTexture(textureUrl, mSprite, callfunc, isPackable) {
    if (isPackable === void 0) {
      isPackable = true;
    }

    if (!textureUrl) {
      return;
    } // logd('loadNetTexture，跨域url1：' + textureUrl);
    //textureUrl = TransformUrl(textureUrl);
    // logd('loadNetTexture，跨域url2：' + textureUrl);


    cc.assetManager.loadRemote(textureUrl, function (error, texture) {
      if (error) {
        logd('载入图片失败，原因：' + error.errorMessage);
        return;
      }

      if (!(texture instanceof cc.Texture2D)) {
        logd('你载入的不是Texture2D资源!');
        return;
      }

      if (mSprite && mSprite.node && mSprite.node.isValid) {
        if (cc.sys.platform == cc.sys.ANDROID || cc.sys.platform == cc.sys.IPHONE || cc.sys.platform == cc.sys.IPAD) {
          texture.packable = true;
        } else {
          texture.packable = false;
        } // logd('下载资源回调了====================================================textureUrl：' + textureUrl);


        mSprite.spriteFrame = new cc.SpriteFrame(texture);

        if (callfunc) {
          callfunc();
        }
      }
    });
  },
  // called every frame
  update: function update(dt) {}
});

cc._RF.pop();